<template>
  <v-app>
    <v-toolbar app>
      <v-toolbar-title class="headline text-uppercase">
        <span>Auth0 with Vue/Vuetify</span>
      </v-toolbar-title>
      <v-spacer></v-spacer>
      <v-btn to="/" class="mr-2">Home</v-btn>
      <v-btn to="/about" class="mr-2">About</v-btn>
      <v-btn to="/contact" class="mr-2">Contact</v-btn>
      <v-btn to="/members" class="mr-2">Members</v-btn>
      <v-btn @click="logout" v-if="userIsAuthorized">Logout</v-btn>
    </v-toolbar>

    <v-content>
      {{clientId}}
      <router-view></router-view>
    </v-content>

  </v-app>
</template>

<script>
import { getPublicStartupBattles, getPrivateStartupBattles } from './services/api';
import { mapGetters } from "vuex";
import bugsnagClient from "./plugins/bugsnag";

export default {
  name: 'App',
  components: {
  },
  computed: {
    ...mapGetters([
      "userIsAuthorized",
      "user"
    ])
  },
  data () {
    return {
      clientId: process.env.VUE_APP_AUTH0_CONFIG_DOMAIN,
      publicBattles: [],
      privateBattles: [],
    }
  },
  methods:{
    logout(){
      this.$store.dispatch('auth0Logout');
      console.log('logging out');
    },
    getPublicStartupBattles() {
      getPublicStartupBattles().then((battles) => {
        this.publicBattles = battles;
      });
    },
    getPrivateStartupBattles() {
      getPrivateStartupBattles().then((battles) => {
        this.privateBattles = battles;
      });
    },
  },
  beforeCreate(){

  },
  mounted() {
    this.getPrivateStartupBattles();
    this.getPublicStartupBattles();
    bugsnagClient.notify(new Error('Bad, but not fatal'), {
      severity: 'info',
    })
  },
}
</script>
